Difference between revisions of "Linux Setup"

From National Gallery Research Wiki
Jump to navigation Jump to search
(Created page with "== Ubuntu Setup == When setting up new workstations with the Ubuntu Linux system the following pieces of software, plus their dependencies are installed. In addition to installi...")
 
Line 12: Line 12:
  
 
[[Reinstalling Grub]]
 
[[Reinstalling Grub]]
 +
 +
[[National Gallery Digital Documentation]]
  
 
== Ubuntu 10.04, Lucid Lynx (updating) ==
 
== Ubuntu 10.04, Lucid Lynx (updating) ==

Revision as of 14:57, 18 November 2010

Ubuntu Setup

When setting up new workstations with the Ubuntu Linux system the following pieces of software, plus their dependencies are installed. In addition to installing the listed packages some additional work needs to be done at this time to ensure ODBC/FreeTDS can talk to SQL Server 2005.

Linux Multi-Media

Linux Setup Old

Linux Symantec BackupExec

Linux Working with Multiple Names and Services

Reinstalling Grub

National Gallery Digital Documentation

Ubuntu 10.04, Lucid Lynx (updating)

Ubuntu 10.04 has just been released, I will be checking and updating the following sections over the next month.

--Jpadfield 17:27, 26 April 2010 (UTC)

With the upgrade to Ubuntu 10.04, Lucid Lynx the lines will are:

General:

sudo apt-get install bison flex automake1.10 make libfftw3-dev libxml2-dev libpango1.0-dev libfreetype6-dev g++ libatk1.0-dev intltool imagemagick libmagick++-dev indent gpp openexr libopenexr-dev libgtk2.0-dev libgsl0-dev openssh-server python2.6-dev liboil0.3-dev swig libimage-exiftool-perl libtiff-tools libtool samba smbfs libdatetime-perl subversion libmatio-dev openjdk-6-jdk libgoffice-0.8-dev pngtools gimp

Plus the following on a 64-bit machine. sudo apt-get install ia32-libs

Gnome over remote SSH

It seems that the "owner" of the ".dbus" folder in a users home area can be set to "root" during the update process. This will mean that you will get a lot of errors when trying to use any graphical programs remotely over ssh. This problem can be fixed by running the following command in your home area:

sudo chown -R UserName:UserName .dbus/

Flash:

The required flash plugin can be installed through firefox. When the user goes to a site that requires a flash plugin an install option is offered.

Adobe Flash Plugin: has been tried and seemed to work well.

LAMP:

Additional steps need to be defines for setting up the security issues.

sudo apt-get install apache2 php5 mysql-server libapache2-mod-auth-mysql php5-mysql php5-gd phpmyadmin libapache2-mod-fastcgi mysql-admin php5-cli php5-sybase php5-curl

phpMyAdmin

To set up under Apache all you need to do is include the following line in /etc/apache2/apache2.conf.

Include /etc/phpmyadmin/apache.conf

And then restart apache:

sudo /etc/init.d/apache2 restart

IIPImage

  • Download the latest server from IIPImage webpage.

VPN:

sudo apt-get install pptpd pptp-linux network-manager-pptp bcrelay

You also need to add new key refuse-eap in the network-manager configuration, this can be done through the gconf-editor, for more details please see the following webpage.

ODBC/TDS:

sudo apt-get install unixodbc unixodbc-bin unixodbc-dev tdsodbc libdbd-odbc-perl php5-odbc freetds-dev sqlrelay-freetds sqsh

Configuration

Add server details to the /etc/freetds/freetds.conf file, for example:

[name]
host = name.full.server.address.com
port = 1433
tds version = 8.0  
client charset = CP1252   

Add server details to the /etc/odbc.ini file, for example:

[name]
Description = 
Driver = TDS
Servername = name
Database = dbname
UID = USERNAME
PWD = PASSWORD
Port= 1433

Set system details to the /etc/odbcinst.ini file, for example:

[ODBC]
Trace           = No
TraceFile       = /tmp/sql.log
ForceTrace      = No
Pooling         = No

[TDS]
Description	= Freetds.org
Driver		= /usr/lib/odbc/libtdsodbc.so
Setup		= /usr/lib/odbc/libtdsS.so
FileUsage	= 1
CPTimeout	= 
CPReuse		= 

Semantic RDF Systems

Several of these systems require additional programs from apt-get in addition to specific file downloads. At this point this has been tested with the Sun java packages, but it will be good to also test with just the open java systems.

sudo apt-get install sun-java6-plugin ant jsvc sun-java6-jdk

Tomcat

  • The Tomcat binaries can be downloaded directly from their website. I downloaded the newest core binary, which at the time of writing was apache-tomcat-6.0.28.tar.gz.
  • Unpack the software directory from the downloaded file and move it to a good location, such as /usr/local/. I also set up a version free symbolic link to the downloaded folder, though I am not sure it will be needed.
tar xzvf apache-tomcat-6.0.28.tar.gz
sudo mv apache-tomcat-6.0.28 /usr/local/. 
ln -s /usr/local/apache-tomcat-6.0.28 /usr/local/apache-tomcat
  • The Tomcat service can then started up:
/usr/local/apache-tomcat/bin/startup.sh
  • Or shut down using:
/usr/local/apache-tomcat/bin/shutdown.sh
  • After startup, the default web applications included with Tomcat will be available by visiting http://localhost:8080/.

For further information about configuration and setup see the documentation section of the Tomcat website.

Redirecting Tomcat services
  • Install apache module:
sudo apt-get install libapache2-mod-jk
  • Update/etc/libapache2-mod-jk workers.properties to add lines similar to:
workers.tomcat_home=/usr/local/apache-tomcat

workers.java_home=/usr/lib/jvm/java-6-openjdk

worker.list=worker1, worker2

worker.worker1.port=8009
worker.worker1.host=localhost
worker.worker1.type=ajp13
worker.worker2.port=8009
worker.worker2.host=localhost
worker.worker2.type=ajp13
  • Update /etc/apache2/mods-enabled/jk.load to:
LoadModule jk_module /usr/lib/apache2/modules/mod_jk.so
JkWorkersFile /etc/libapache2-mod-jk/workers.properties
JkLogFile /var/log/apache2/mod_jk.log
JkLogLevel error
  • Restart apache2.
  • Restart tomcat.
Auto Startup

Create a new text file:

sudo gedit /etc/init.d/tomcat

Copy and paste the following code into the new file and save it.

#!/bin/sh

case "$1" in
'start')
	/usr/local/apache-tomcat/bin/startup.sh
	;;
'stop')
	/usr/local/apache-tomcat/bin/shutdown.sh
	;;
*)
	echo "Usage: $0 { start | stop }"
	;;
esac
exit 0

The Tomcat server will now automatically start/shutdown up on Boot/Shutdown. It can also be manually started and shutdown using the following commands:

sudo /etc/init.d/tomcat start
sudo /etc/init.d/tomcat stop

D2R

tar xzvf d2r-server-0.7.tar.gz
sudo mv d2r-server-0.7 /usr/local/. 
ln -s /usr/local/d2r-server-0.7 /usr/local/d2r-server
  • A quick setup guide can be found here.
  • Details about setting up the D2R-Server under Tomcat can be found here. You will need to install ant for this.
sudo apt-get install ant
  • Further details, links and documentation can be generally found through the D2R-server website.

Sesame

  • The Sesame binaries can be downloaded directly from the openrdf website. I downloaded the newest sdk binary, which at the time of writing was openrdf-sesame-2.2.4-sdk.tar.
  • Unpack the software directory from the downloaded file and move it to a good location, such as /usr/local/. I also set up a version free symbolic link to the downloaded folder, though I am not sure it will be needed.
tar xzvf openrdf-sesame-2.2.4-sdk.tar
sudo mv openrdf-sesame-2.2.4 /usr/local/. 
ln -s /usr/local/openrdf-sesame-2.2.4 /usr/local/openrdf-sesame
  • Copy the openrdf-sesame.war and openrdf-workbench.war files into the Tomcat webapps directory and restart Tomcat.
sudo cp /usr/local/openrdf-sesame/war/openrdf-sesame.war /usr/local/apache-tomcat/webapps/.
sudo cp /usr/local/openrdf-sesame/war/openrdf-workbench.war /usr/local/apache-tomcat/webapps/.
/usr/bin/local/apache-tomcat/bin/shutdown.sh
/usr/bin/local/apache-tomcat/bin/startup.sh

4store (RDF Triple Database system):

sudo apt-get install build-essential libpcre3-dev libglib2.0-dev ncurses-dev libreadline-dev

raptor and rasqal in stadard repository are probably ok, but description on the 4store website recommends the specific build instructions listed below. --Jpadfield 10:28, 10 November 2009 (UTC)

Then need to download and build from source the following packages; (or the newest stable versions)

  1. raptor-1.4.21.tar.gz
  2. rasqal-0.9.16.tar.gz
    • Ideally Rasqal should be built with ./configure '--enable-query-languages=sparql rdql laqrs'
  1. 4store-v1.0.2.tar.gz

Additional Semantic Systems

MediaWiki

Perlwikipedia:

sudo apt-get install libwww-mechanize-perl libxml-simple-perl

  • Then download the build the package from here.

Other